## kirigami2 5.107.0

=== debian/changelog ===
kirigami2 (5.107.0-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.83.0-3+rpi1 by root <Peter Michael Green <plugwash@raspbian.org> at Sun, 29 Aug 2021 23:05:08 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 22 Nov 2023 06:44:27 +0000

kirigami2 (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:41 +0200

kirigami2 (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:59 +0100
