=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               kpackagetool5 (>= 5.110.0~),
-               libkf5doctools-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               kpackagetool5 (>= 5.113.0~),
+               libkf5doctools-dev (>= 5.113.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
