=== examples/CMakeLists.txt ===

add_subdirectory(applicationitemapp)
