=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                kpackagetool5,
                libkf5doctools-dev,
                libqt5svg5-dev (>= 5.15.2~),
@@ -19,7 +19,7 @@
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.7),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kirigami
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami.git
